Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.util
Class AlphaNumericSequencerValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.axiom.util.AlphaNumericSequencerValue

Direct Known Subclasses:
  AlphaNumericSequencerExtensionValue

public class AlphaNumericSequencerValue
extends SmartValue

This class generates sequential identifiers in a prescribed format.. The user of the classs can configure the starting number, prefix, suffix, and step. It is also possible to specify the width of the numeric component. The current sequence number is persisted and access to the counter is controlled so that uniqueness can be guaranteed across all users of a given sequencer. It is used to generate unique keys for entities such as accounts, users, and sessions.

See Also:
  `AlphaNumericSequencer`, `AlphaNumericSequencerHome`, `AlphaNumericSequencer.getAlphaNumericSequencerByValue()`, `AlphaNumericSequencer.setAlphaNumericSequencerByValue(AlphaNumericSequencerValue)`, Serialized Form

Field Summary
`int` | `counter` counter [AlphaNumericSequencer] <*>------> [`int`]
`java.lang.String` | `identifier` identifier [AlphaNumericSequencer] <*>------> [`String`] (Primary Key)
`int` | `numDigits` numDigits [AlphaNumericSequencer] <*>------> [`int`]
`java.lang.String` | `prefix` prefix [AlphaNumericSequencer] <*>------> [`String`]
`int` | `step` step [AlphaNumericSequencer] <*>------> [`int`]
`java.lang.String` | `suffix` suffix [AlphaNumericSequencer] <*>------> [`String`]

Constructor Summary
`protected` | `AlphaNumericSequencerValue()` Only get/setAlphaNumericSequencerByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

                        identifier
       [AlphaNumericSequencer] <*>------> [String] (Primary Key)

### prefix

    public java.lang.String prefix

                        prefix
       [AlphaNumericSequencer] <*>------> [String]

### numDigits

    public int numDigits

                        numDigits
       [AlphaNumericSequencer] <*>------> [int]

### suffix

    public java.lang.String suffix

                        suffix
       [AlphaNumericSequencer] <*>------> [String]

### step

    public int step

                        step
       [AlphaNumericSequencer] <*>------> [int]

### counter

    public int counter

                        counter
       [AlphaNumericSequencer] <*>------> [int]

Constructor Detail

### AlphaNumericSequencerValue

    protected AlphaNumericSequencerValue()

  Only get/setAlphaNumericSequencerByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.